package coolbot;

import java.util.ArrayList;

import world.GameObject;

public class GameMaster extends GameObject {
	
	boolean gameWon;
	
	public GameMaster() {
		
	}
	
	public void update() {
		
		if(gameWon) {
			
//			Rocket rocket = new Rocket();
//			
//			spawn.add(rocket);
			
			gameWon = false;
		}
	}
	
	public void inspectScene(ArrayList<GameObject> objects) {
		
		int coolbots = 0;
		
		for(int i = 0; i < objects.size(); i++) {
			
			if(objects.get(i) instanceof Coolbot)
				coolbots++;
		}
		
		if(coolbots == 0)
			gameWon = true;
	}
}